import { restResources } from '@shopify/shopify-api/rest/admin/2023-07';
import { shopifyApi, ApiVersion } from '@shopify/shopify-api';
import { Session } from '@shopify/shopify-api';
import * as dotenv from 'dotenv';
dotenv.config();
const isProduction = (process.env.NODE_ENV === 'PRODUCTION');
export { restResources, shopifyApi, ApiVersion, Session }; //, Base}
export const apiVersion = ApiVersion.July23;
export const sendEmails = (process.env.SEND_SHOP_EMAILS === "TRUE");
export const shipSpeedStandard = "Standard";
export const shipSpeedExpress = "Express";
export const shipSpeedPriority = "Priority";
export const validShipSpeeds = [shipSpeedStandard, shipSpeedExpress, shipSpeedPriority];
export const shopBlueDriverUS = "BlueDriver US";
export const shopBlueDriverCA = "BlueDriver CA";
export const shopAccutrade = "Accutrade";
export const shopAccutradeCA = "Accutrade CA";
export const shopGeneralBDMax = "BDMax";
export const fulfillmentInboundStatusShipped = "shipped";
export const fulfillmentInboundStatusPartial = "partial";
export const fulfillmentInboundStatusNew = "unshipped";
export const validFulfillmentStatuses = [fulfillmentInboundStatusNew, fulfillmentInboundStatusPartial, fulfillmentInboundStatusShipped];
export const fulfillmentOutboundStatusNew = null;
export const fulfillmentOutboundStatusComplete = "fulfilled";
export const fulfillmentOutboundStatusPartial = "partial";
export const fulfillmentOutboundStatusNA = "not_eligible";
export const validOutboundFUlfillmentStatuses = [fulfillmentOutboundStatusComplete, fulfillmentOutboundStatusNA, fulfillmentOutboundStatusNew, fulfillmentOutboundStatusPartial];
export const paymentStatusAuthoized = 'authorized';
export const paymentStatusPending = 'pending';
export const paymentStatusPaid = 'paid';
export const paymentStatusPartiallyPaid = 'partially_paid';
export const paymentStatusRefunded = 'refunded';
export const paymentStatusVoided = 'voided';
export const paymentStatusPartiallyRefunded = 'partially_refunded';
export const paymentStatusAny = 'any';
export const paymentStatusUnpaid = 'unpaid';
export const validPaymentStatuses = [paymentStatusAny, paymentStatusAuthoized, paymentStatusPaid, paymentStatusPartiallyPaid, paymentStatusPartiallyRefunded, paymentStatusPending, paymentStatusRefunded, paymentStatusUnpaid, paymentStatusVoided];
export const orderStatusOpen = 'open';
export const orderStatusclosed = 'closed';
export const orderStatusCancelled = 'cancelled';
export const orderStatusAny = 'any';
export const validOrderStatuses = [orderStatusOpen, orderStatusclosed, orderStatusCancelled, orderStatusAny];
export const varIdBdMaxAnnual = 44284787949815;
export const varIdBdMaxMonthly = 44285022994679;
export const varIdBaas = 44201046835447;
export const currencyCAD = "CAD";
export const currencyUSD = "USD";
export const validCurrencies = [currencyCAD, currencyUSD];
export const countryUS = "US";
export const countryCanada = "CA";
export const orderLookupNew = "new";
export const validOrderLookupTypes = [orderLookupNew];
export const actionSave = "save";
export const actionClose = "close";
export const discountTargetItem = "items";
export const discountTargetShipping = "shipping";
export const discountTypeAbsolute = "absolute";
export const discountTypePercent = "percent";
export const tagFromSF = "From SF";
export var sourceTypes;
(function (sourceTypes) {
    sourceTypes["shopify"] = "web";
    sourceTypes["sub"] = "subscription_contract";
})(sourceTypes || (sourceTypes = {}));
export const discountPercent = "percentage";
export const discountFixed = "fixed_amount";
export const discountShipping = "shipping";
export const mandatoryAddressFields = ["firstName", "lastName", "addressOne", "city", "province", "postalCode", "country", "email"];
export const mandatoryLineItemFields = ["variantId", "qty", "title", "variantTitle"];
export const mandatoryMoney = ["subTotal", "tax", "shipping", "discount", "total"];
export const mandatoryTopLevelFields = ["currency", "orderNumber"];
export class fixedShopOrder extends restResources.Order {
}
