export declare const twoItemFulfillmentTwoOpenOneNoShip: {
    status: number;
    body: {
        fulfillment_orders: ({
            id: number;
            shop_id: number;
            order_id: number;
            assigned_location_id: number;
            request_status: string;
            status: string;
            supported_actions: string[];
            destination: {
                id: number;
                address1: string;
                address2: null;
                city: string;
                company: string;
                country: string;
                email: string;
                first_name: string;
                last_name: string;
                phone: null;
                province: string;
                zip: string;
            };
            line_items: {
                id: number;
                shop_id: number;
                fulfillment_order_id: number;
                quantity: number;
                line_item_id: number;
                inventory_item_id: number;
                fulfillable_quantity: number;
                variant_id: number;
            }[];
            international_duties: null;
            fulfill_at: string;
            fulfill_by: string;
            fulfillment_holds: never[];
            created_at: string;
            updated_at: string;
            delivery_method: {
                id: number;
                method_type: string;
                min_delivery_date_time: string;
                max_delivery_date_time: string;
            };
            assigned_location: {
                address1: string;
                address2: string;
                city: string;
                country_code: string;
                location_id: number;
                name: string;
                phone: string;
                province: string;
                zip: string;
            };
            merchant_requests: never[];
        } | {
            id: number;
            shop_id: number;
            order_id: number;
            assigned_location_id: number;
            request_status: string;
            status: string;
            supported_actions: string[];
            destination: {
                id: number;
                address1: string;
                address2: null;
                city: string;
                company: string;
                country: string;
                email: string;
                first_name: string;
                last_name: string;
                phone: null;
                province: string;
                zip: string;
            };
            line_items: {
                id: number;
                shop_id: number;
                fulfillment_order_id: number;
                quantity: number;
                line_item_id: number;
                inventory_item_id: number;
                fulfillable_quantity: number;
                variant_id: number;
            }[];
            international_duties: null;
            fulfill_at: string;
            fulfill_by: null;
            fulfillment_holds: never[];
            created_at: string;
            updated_at: string;
            delivery_method: {
                id: number;
                method_type: string;
                min_delivery_date_time: null;
                max_delivery_date_time: null;
            };
            assigned_location: {
                address1: string;
                address2: string;
                city: string;
                country_code: string;
                location_id: number;
                name: string;
                phone: string;
                province: string;
                zip: string;
            };
            merchant_requests: never[];
        })[];
    };
};
export declare const twoItemFulfillmentOneClosed: {
    status: number;
    body: {
        fulfillment_orders: ({
            id: number;
            shop_id: number;
            order_id: number;
            assigned_location_id: number;
            request_status: string;
            status: string;
            supported_actions: never[];
            destination: {
                id: number;
                address1: string;
                address2: null;
                city: string;
                company: string;
                country: string;
                email: string;
                first_name: string;
                last_name: string;
                phone: null;
                province: string;
                zip: string;
            };
            line_items: {
                id: number;
                shop_id: number;
                fulfillment_order_id: number;
                quantity: number;
                line_item_id: number;
                inventory_item_id: number;
                fulfillable_quantity: number;
                variant_id: number;
            }[];
            international_duties: null;
            fulfill_at: string;
            fulfill_by: string;
            fulfillment_holds: never[];
            created_at: string;
            updated_at: string;
            delivery_method: {
                id: number;
                method_type: string;
                min_delivery_date_time: string;
                max_delivery_date_time: string;
            };
            assigned_location: {
                address1: string;
                address2: string;
                city: string;
                country_code: string;
                location_id: number;
                name: string;
                phone: string;
                province: string;
                zip: string;
            };
            merchant_requests: never[];
        } | {
            id: number;
            shop_id: number;
            order_id: number;
            assigned_location_id: number;
            request_status: string;
            status: string;
            supported_actions: string[];
            destination: {
                id: number;
                address1: string;
                address2: null;
                city: string;
                company: string;
                country: string;
                email: string;
                first_name: string;
                last_name: string;
                phone: null;
                province: string;
                zip: string;
            };
            line_items: {
                id: number;
                shop_id: number;
                fulfillment_order_id: number;
                quantity: number;
                line_item_id: number;
                inventory_item_id: number;
                fulfillable_quantity: number;
                variant_id: number;
            }[];
            international_duties: null;
            fulfill_at: string;
            fulfill_by: null;
            fulfillment_holds: never[];
            created_at: string;
            updated_at: string;
            delivery_method: {
                id: number;
                method_type: string;
                min_delivery_date_time: null;
                max_delivery_date_time: null;
            };
            assigned_location: {
                address1: string;
                address2: string;
                city: string;
                country_code: string;
                location_id: number;
                name: string;
                phone: string;
                province: string;
                zip: string;
            };
            merchant_requests: never[];
        })[];
    };
};
export declare const discountOrder: {
    id: number;
    admin_graphql_api_id: string;
    app_id: number;
    browser_ip: string;
    buyer_accepts_marketing: boolean;
    cancel_reason: null;
    cancelled_at: null;
    cart_token: string;
    checkout_id: number;
    checkout_token: string;
    client_details: {
        accept_language: string;
        browser_height: null;
        browser_ip: string;
        browser_width: null;
        session_hash: null;
        user_agent: string;
    };
    closed_at: null;
    confirmed: boolean;
    contact_email: string;
    created_at: string;
    currency: string;
    current_subtotal_price: string;
    current_subtotal_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    current_total_additional_fees_set: null;
    current_total_discounts: string;
    current_total_discounts_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    current_total_duties_set: null;
    current_total_price: string;
    current_total_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    current_total_tax: string;
    current_total_tax_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    customer_locale: string;
    device_id: null;
    discount_codes: never[];
    email: string;
    estimated_taxes: boolean;
    financial_status: string;
    fulfillment_status: null;
    landing_site: string;
    landing_site_ref: null;
    location_id: null;
    merchant_of_record_app_id: null;
    name: string;
    note: null;
    note_attributes: never[];
    number: number;
    order_number: number;
    order_status_url: string;
    original_total_additional_fees_set: null;
    original_total_duties_set: null;
    payment_gateway_names: string[];
    phone: null;
    presentment_currency: string;
    processed_at: string;
    reference: string;
    referring_site: string;
    source_identifier: string;
    source_name: string;
    source_url: null;
    subtotal_price: string;
    subtotal_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    tags: string;
    tax_lines: {
        price: string;
        rate: number;
        title: string;
        price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        channel_liable: boolean;
    }[];
    taxes_included: boolean;
    test: boolean;
    token: string;
    total_discounts: string;
    total_discounts_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    total_line_items_price: string;
    total_line_items_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    total_outstanding: string;
    total_price: string;
    total_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    total_shipping_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    total_tax: string;
    total_tax_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    total_tip_received: string;
    total_weight: number;
    updated_at: string;
    user_id: null;
    billing_address: {
        first_name: string;
        address1: string;
        phone: null;
        city: string;
        zip: string;
        province: string;
        country: string;
        last_name: string;
        address2: null;
        company: string;
        latitude: number;
        longitude: number;
        name: string;
        country_code: string;
        province_code: string;
    };
    customer: {
        id: number;
        email: string;
        created_at: string;
        updated_at: string;
        first_name: string;
        last_name: string;
        state: string;
        note: null;
        verified_email: boolean;
        multipass_identifier: null;
        tax_exempt: boolean;
        phone: null;
        email_marketing_consent: {
            state: string;
            opt_in_level: string;
            consent_updated_at: string;
        };
        sms_marketing_consent: null;
        tags: string;
        currency: string;
        accepts_marketing: boolean;
        accepts_marketing_updated_at: string;
        marketing_opt_in_level: string;
        tax_exemptions: never[];
        admin_graphql_api_id: string;
        default_address: {
            id: number;
            customer_id: number;
            first_name: string;
            last_name: string;
            company: string;
            address1: string;
            address2: null;
            city: string;
            province: string;
            country: string;
            zip: string;
            phone: null;
            name: string;
            province_code: string;
            country_code: string;
            country_name: string;
            default: boolean;
        };
    };
    discount_applications: {
        target_type: string;
        type: string;
        value: string;
        value_type: string;
        allocation_method: string;
        target_selection: string;
        title: string;
    }[];
    fulfillments: never[];
    line_items: {
        id: number;
        admin_graphql_api_id: string;
        fulfillable_quantity: number;
        fulfillment_service: string;
        fulfillment_status: null;
        gift_card: boolean;
        grams: number;
        name: string;
        price: string;
        price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        product_exists: boolean;
        product_id: number;
        properties: never[];
        quantity: number;
        requires_shipping: boolean;
        sku: string;
        taxable: boolean;
        title: string;
        total_discount: string;
        total_discount_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        variant_id: number;
        variant_inventory_management: string;
        variant_title: null;
        vendor: string;
        tax_lines: {
            channel_liable: boolean;
            price: string;
            price_set: {
                shop_money: {
                    amount: string;
                    currency_code: string;
                };
                presentment_money: {
                    amount: string;
                    currency_code: string;
                };
            };
            rate: number;
            title: string;
        }[];
        duties: never[];
        discount_allocations: {
            amount: string;
            amount_set: {
                shop_money: {
                    amount: string;
                    currency_code: string;
                };
                presentment_money: {
                    amount: string;
                    currency_code: string;
                };
            };
            discount_application_index: number;
        }[];
    }[];
    payment_terms: null;
    refunds: never[];
    shipping_address: {
        first_name: string;
        address1: string;
        phone: null;
        city: string;
        zip: string;
        province: string;
        country: string;
        last_name: string;
        address2: null;
        company: string;
        latitude: number;
        longitude: number;
        name: string;
        country_code: string;
        province_code: string;
    };
    shipping_lines: {
        id: number;
        carrier_identifier: string;
        code: string;
        delivery_category: null;
        discounted_price: string;
        discounted_price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        phone: null;
        price: string;
        price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        requested_fulfillment_service_id: null;
        source: string;
        title: string;
        tax_lines: never[];
        discount_allocations: never[];
    }[];
};
