export declare const orderJSON: {
    orders: ({
        id: number;
        admin_graphql_api_id: string;
        app_id: number;
        browser_ip: string;
        buyer_accepts_marketing: boolean;
        cancel_reason: null;
        cancelled_at: null;
        cart_token: string;
        checkout_id: number;
        checkout_token: string;
        client_details: {
            accept_language: string;
            browser_height: null;
            browser_ip: string;
            browser_width: null;
            session_hash: null;
            user_agent: string;
        };
        closed_at: null;
        confirmed: boolean;
        contact_email: string;
        created_at: string;
        currency: string;
        current_subtotal_price: string;
        current_subtotal_price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        current_total_discounts: string;
        current_total_discounts_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        current_total_duties_set: null;
        current_total_price: string;
        current_total_price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        current_total_tax: string;
        current_total_tax_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        customer_locale: string;
        device_id: null;
        discount_codes: {
            code: string;
            amount: string;
            type: string;
        }[];
        email: string;
        estimated_taxes: boolean;
        financial_status: string;
        fulfillment_status: null;
        gateway: string;
        landing_site: string;
        landing_site_ref: null;
        location_id: null;
        name: string;
        note: string;
        note_attributes: never[];
        number: number;
        order_number: number;
        order_status_url: string;
        original_total_duties_set: null;
        payment_gateway_names: string[];
        phone: null;
        presentment_currency: string;
        processed_at: string;
        processing_method: string;
        reference: string;
        referring_site: string;
        source_identifier: string;
        source_name: string;
        source_url: null;
        subtotal_price: string;
        subtotal_price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        tags: string;
        tax_lines: never[];
        taxes_included: boolean;
        test: boolean;
        token: string;
        total_discounts: string;
        total_discounts_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        total_line_items_price: string;
        total_line_items_price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        total_outstanding: string;
        total_price: string;
        total_price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        total_price_usd: string;
        total_shipping_price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        total_tax: string;
        total_tax_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        total_tip_received: string;
        total_weight: number;
        updated_at: string;
        user_id: null;
        billing_address: {
            first_name: string;
            address1: string;
            phone: string;
            city: string;
            zip: string;
            province: string;
            country: string;
            last_name: string;
            address2: null;
            company: null;
            latitude: null;
            longitude: null;
            name: string;
            country_code: string;
            province_code: string;
        };
        customer: {
            id: number;
            email: string;
            accepts_marketing: boolean;
            created_at: string;
            updated_at: string;
            first_name: string;
            last_name: string;
            state: string;
            note: null;
            verified_email: boolean;
            multipass_identifier: null;
            tax_exempt: boolean;
            phone: null;
            email_marketing_consent: {
                state: string;
                opt_in_level: string;
                consent_updated_at: string;
            };
            sms_marketing_consent: null;
            tags: string;
            currency: string;
            accepts_marketing_updated_at: string;
            marketing_opt_in_level: string;
            tax_exemptions: never[];
            admin_graphql_api_id: string;
            default_address: {
                id: number;
                customer_id: number;
                first_name: string;
                last_name: string;
                company: null;
                address1: string;
                address2: null;
                city: string;
                province: string;
                country: string;
                zip: string;
                phone: string;
                name: string;
                province_code: string;
                country_code: string;
                country_name: string;
                default: boolean;
            };
        };
        discount_applications: {
            title: string;
            value: string;
            value_type: string;
        }[];
        fulfillments: never[];
        line_items: {
            id: number;
            admin_graphql_api_id: string;
            fulfillable_quantity: number;
            fulfillment_service: string;
            fulfillment_status: null;
            gift_card: boolean;
            grams: number;
            name: string;
            origin_location: {
                id: number;
                country_code: string;
                province_code: string;
                name: string;
                address1: string;
                address2: string;
                city: string;
                zip: string;
            };
            price: string;
            price_set: {
                shop_money: {
                    amount: string;
                    currency_code: string;
                };
                presentment_money: {
                    amount: string;
                    currency_code: string;
                };
            };
            product_exists: boolean;
            product_id: number;
            properties: never[];
            quantity: number;
            requires_shipping: boolean;
            sku: string;
            taxable: boolean;
            title: string;
            total_discount: string;
            total_discount_set: {
                shop_money: {
                    amount: string;
                    currency_code: string;
                };
                presentment_money: {
                    amount: string;
                    currency_code: string;
                };
            };
            variant_id: number;
            variant_inventory_management: string;
            variant_title: null;
            vendor: string;
            tax_lines: never[];
            duties: never[];
            discount_allocations: never[];
        }[];
        payment_details: {
            credit_card_bin: string;
            avs_result_code: null;
            cvv_result_code: null;
            credit_card_number: string;
            credit_card_company: string;
            buyer_action_info: null;
        };
        payment_terms: null;
        refunds: never[];
        shipping_address: {
            first_name: string;
            address1: string;
            phone: string;
            city: string;
            zip: string;
            province: string;
            country: string;
            last_name: string;
            address2: null;
            company: null;
            latitude: number;
            longitude: number;
            name: string;
            country_code: string;
            province_code: string;
        };
        shipping_lines: {
            id: number;
            carrier_identifier: string;
            code: string;
            delivery_category: null;
            discounted_price: string;
            discounted_price_set: {
                shop_money: {
                    amount: string;
                    currency_code: string;
                };
                presentment_money: {
                    amount: string;
                    currency_code: string;
                };
            };
            phone: null;
            price: string;
            price_set: {
                shop_money: {
                    amount: string;
                    currency_code: string;
                };
                presentment_money: {
                    amount: string;
                    currency_code: string;
                };
            };
            requested_fulfillment_service_id: null;
            source: string;
            title: string;
            tax_lines: never[];
            discount_allocations: never[];
        }[];
    } | {
        id: number;
        admin_graphql_api_id: string;
        app_id: number;
        browser_ip: string;
        buyer_accepts_marketing: boolean;
        cancel_reason: null;
        cancelled_at: null;
        cart_token: string;
        checkout_id: number;
        checkout_token: string;
        client_details: {
            accept_language: string;
            browser_height: null;
            browser_ip: string;
            browser_width: null;
            session_hash: null;
            user_agent: string;
        };
        closed_at: null;
        confirmed: boolean;
        contact_email: string;
        created_at: string;
        currency: string;
        current_subtotal_price: string;
        current_subtotal_price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        current_total_discounts: string;
        current_total_discounts_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        current_total_duties_set: null;
        current_total_price: string;
        current_total_price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        current_total_tax: string;
        current_total_tax_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        customer_locale: string;
        device_id: null;
        discount_codes: never[];
        email: string;
        estimated_taxes: boolean;
        financial_status: string;
        fulfillment_status: null;
        gateway: string;
        landing_site: string;
        landing_site_ref: null;
        location_id: null;
        name: string;
        note: null;
        note_attributes: never[];
        number: number;
        order_number: number;
        order_status_url: string;
        original_total_duties_set: null;
        payment_gateway_names: string[];
        phone: null;
        presentment_currency: string;
        processed_at: string;
        processing_method: string;
        reference: string;
        referring_site: string;
        source_identifier: string;
        source_name: string;
        source_url: null;
        subtotal_price: string;
        subtotal_price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        tags: string;
        tax_lines: never[];
        taxes_included: boolean;
        test: boolean;
        token: string;
        total_discounts: string;
        total_discounts_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        total_line_items_price: string;
        total_line_items_price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        total_outstanding: string;
        total_price: string;
        total_price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        total_price_usd: string;
        total_shipping_price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        total_tax: string;
        total_tax_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        total_tip_received: string;
        total_weight: number;
        updated_at: string;
        user_id: null;
        billing_address: {
            first_name: string;
            address1: string;
            phone: string;
            city: string;
            zip: string;
            province: string;
            country: string;
            last_name: string;
            address2: null;
            company: null;
            latitude: null;
            longitude: null;
            name: string;
            country_code: string;
            province_code: string;
        };
        customer: {
            id: number;
            email: string;
            accepts_marketing: boolean;
            created_at: string;
            updated_at: string;
            first_name: string;
            last_name: string;
            state: string;
            note: null;
            verified_email: boolean;
            multipass_identifier: null;
            tax_exempt: boolean;
            phone: null;
            email_marketing_consent: {
                state: string;
                opt_in_level: string;
                consent_updated_at: string;
            };
            sms_marketing_consent: null;
            tags: string;
            currency: string;
            accepts_marketing_updated_at: string;
            marketing_opt_in_level: string;
            tax_exemptions: never[];
            admin_graphql_api_id: string;
            default_address: {
                id: number;
                customer_id: number;
                first_name: string;
                last_name: string;
                company: null;
                address1: string;
                address2: null;
                city: string;
                province: string;
                country: string;
                zip: string;
                phone: string;
                name: string;
                province_code: string;
                country_code: string;
                country_name: string;
                default: boolean;
            };
        };
        discount_applications: never[];
        fulfillments: never[];
        line_items: {
            id: number;
            admin_graphql_api_id: string;
            fulfillable_quantity: number;
            fulfillment_service: string;
            fulfillment_status: null;
            gift_card: boolean;
            grams: number;
            name: string;
            origin_location: {
                id: number;
                country_code: string;
                province_code: string;
                name: string;
                address1: string;
                address2: string;
                city: string;
                zip: string;
            };
            price: string;
            price_set: {
                shop_money: {
                    amount: string;
                    currency_code: string;
                };
                presentment_money: {
                    amount: string;
                    currency_code: string;
                };
            };
            product_exists: boolean;
            product_id: number;
            properties: never[];
            quantity: number;
            requires_shipping: boolean;
            sku: string;
            taxable: boolean;
            title: string;
            total_discount: string;
            total_discount_set: {
                shop_money: {
                    amount: string;
                    currency_code: string;
                };
                presentment_money: {
                    amount: string;
                    currency_code: string;
                };
            };
            variant_id: number;
            variant_inventory_management: string;
            variant_title: null;
            vendor: string;
            tax_lines: never[];
            duties: never[];
            discount_allocations: never[];
        }[];
        payment_details: {
            credit_card_bin: string;
            avs_result_code: null;
            cvv_result_code: null;
            credit_card_number: string;
            credit_card_company: string;
            buyer_action_info: null;
        };
        payment_terms: null;
        refunds: never[];
        shipping_address: {
            first_name: string;
            address1: string;
            phone: string;
            city: string;
            zip: string;
            province: string;
            country: string;
            last_name: string;
            address2: null;
            company: null;
            latitude: number;
            longitude: number;
            name: string;
            country_code: string;
            province_code: string;
        };
        shipping_lines: {
            id: number;
            carrier_identifier: string;
            code: string;
            delivery_category: null;
            discounted_price: string;
            discounted_price_set: {
                shop_money: {
                    amount: string;
                    currency_code: string;
                };
                presentment_money: {
                    amount: string;
                    currency_code: string;
                };
            };
            phone: null;
            price: string;
            price_set: {
                shop_money: {
                    amount: string;
                    currency_code: string;
                };
                presentment_money: {
                    amount: string;
                    currency_code: string;
                };
            };
            requested_fulfillment_service_id: null;
            source: string;
            title: string;
            tax_lines: never[];
            discount_allocations: never[];
        }[];
    })[];
};
export declare const fulfillmetOrderResp: {
    fulfillment_orders: {
        id: number;
        shop_id: number;
        order_id: number;
        assigned_location_id: number;
        request_status: string;
        status: string;
        supported_actions: string[];
        destination: {
            id: number;
            address1: string;
            address2: string;
            city: string;
            company: string;
            country: string;
            email: string;
            first_name: string;
            last_name: string;
            phone: string;
            province: string;
            zip: string;
        };
        line_items: {
            id: number;
            shop_id: number;
            fulfillment_order_id: number;
            quantity: number;
            line_item_id: number;
            inventory_item_id: null;
            fulfillable_quantity: number;
            variant_id: number;
        }[];
        fulfill_at: null;
        fulfill_by: null;
        international_duties: null;
        fulfillment_holds: never[];
        delivery_method: null;
        assigned_location: {
            address1: string;
            address2: string;
            city: string;
            country_code: string;
            location_id: number;
            name: string;
            phone: string;
            province: string;
            zip: string;
        };
        merchant_requests: never[];
    }[];
};
export declare const orderMissingShippingAddress: {
    id: number;
    admin_graphql_api_id: string;
    app_id: number;
    browser_ip: string;
    buyer_accepts_marketing: boolean;
    cancel_reason: null;
    cancelled_at: null;
    cart_token: string;
    checkout_id: number;
    checkout_token: string;
    client_details: {
        accept_language: string;
        browser_height: null;
        browser_ip: string;
        browser_width: null;
        session_hash: null;
        user_agent: string;
    };
    closed_at: null;
    confirmation_number: string;
    confirmed: boolean;
    contact_email: string;
    created_at: string;
    currency: string;
    current_subtotal_price: string;
    current_subtotal_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    current_total_additional_fees_set: null;
    current_total_discounts: string;
    current_total_discounts_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    current_total_duties_set: null;
    current_total_price: string;
    current_total_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    current_total_tax: string;
    current_total_tax_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    customer_locale: string;
    device_id: null;
    discount_codes: never[];
    email: string;
    estimated_taxes: boolean;
    financial_status: string;
    fulfillment_status: null;
    landing_site: string;
    landing_site_ref: null;
    location_id: null;
    merchant_of_record_app_id: null;
    name: string;
    note: null;
    note_attributes: never[];
    number: number;
    order_number: number;
    order_status_url: string;
    original_total_additional_fees_set: null;
    original_total_duties_set: null;
    payment_gateway_names: string[];
    phone: null;
    po_number: null;
    presentment_currency: string;
    processed_at: string;
    reference: string;
    referring_site: string;
    source_identifier: string;
    source_name: string;
    source_url: null;
    subtotal_price: string;
    subtotal_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    tags: string;
    tax_exempt: boolean;
    tax_lines: never[];
    taxes_included: boolean;
    test: boolean;
    token: string;
    total_discounts: string;
    total_discounts_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    total_line_items_price: string;
    total_line_items_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    total_outstanding: string;
    total_price: string;
    total_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    total_shipping_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    total_tax: string;
    total_tax_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    total_tip_received: string;
    total_weight: number;
    updated_at: string;
    user_id: null;
    billing_address: {
        first_name: string;
        address1: string;
        phone: null;
        city: string;
        zip: string;
        province: string;
        country: string;
        last_name: string;
        address2: null;
        company: null;
        latitude: number;
        longitude: number;
        name: string;
        country_code: string;
        province_code: string;
    };
    customer: {
        id: number;
        email: string;
        accepts_marketing: boolean;
        created_at: string;
        updated_at: string;
        first_name: string;
        last_name: string;
        state: string;
        note: null;
        verified_email: boolean;
        multipass_identifier: null;
        tax_exempt: boolean;
        phone: null;
        email_marketing_consent: {
            state: string;
            opt_in_level: string;
            consent_updated_at: null;
        };
        sms_marketing_consent: null;
        tags: string;
        currency: string;
        accepts_marketing_updated_at: string;
        marketing_opt_in_level: null;
        tax_exemptions: never[];
        admin_graphql_api_id: string;
        default_address: {
            id: number;
            customer_id: number;
            first_name: string;
            last_name: string;
            company: null;
            address1: string;
            address2: null;
            city: string;
            province: string;
            country: string;
            zip: string;
            phone: null;
            name: string;
            province_code: string;
            country_code: string;
            country_name: string;
            default: boolean;
        };
    };
    discount_applications: never[];
    fulfillments: never[];
    line_items: {
        id: number;
        admin_graphql_api_id: string;
        attributed_staffs: never[];
        fulfillable_quantity: number;
        fulfillment_service: string;
        fulfillment_status: null;
        gift_card: boolean;
        grams: number;
        name: string;
        price: string;
        price_set: ObjectConstructor[];
        product_exists: boolean;
        product_id: number;
        properties: never[];
        quantity: number;
        requires_shipping: boolean;
        sku: string;
        taxable: boolean;
        title: string;
        total_discount: string;
        total_discount_set: ObjectConstructor[];
        variant_id: number;
        variant_inventory_management: string;
        variant_title: string;
        vendor: string;
        tax_lines: never[];
        duties: never[];
        discount_allocations: never[];
    }[];
    payment_terms: null;
    refunds: never[];
    shipping_address: null;
    shipping_lines: never[];
};
export declare const multItemOrder: {
    id: number;
    admin_graphql_api_id: string;
    app_id: number;
    browser_ip: string;
    buyer_accepts_marketing: boolean;
    cancel_reason: null;
    cancelled_at: null;
    cart_token: string;
    checkout_id: number;
    checkout_token: string;
    client_details: {
        accept_language: string;
        browser_height: null;
        browser_ip: string;
        browser_width: null;
        session_hash: null;
        user_agent: string;
    };
    closed_at: null;
    confirmation_number: string;
    confirmed: boolean;
    contact_email: string;
    created_at: string;
    currency: string;
    current_subtotal_price: string;
    current_subtotal_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    current_total_additional_fees_set: null;
    current_total_discounts: string;
    current_total_discounts_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    current_total_duties_set: null;
    current_total_price: string;
    current_total_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    current_total_tax: string;
    current_total_tax_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    customer_locale: string;
    device_id: null;
    discount_codes: never[];
    email: string;
    estimated_taxes: boolean;
    financial_status: string;
    fulfillment_status: null;
    landing_site: string;
    landing_site_ref: null;
    location_id: null;
    merchant_of_record_app_id: null;
    name: string;
    note: null;
    note_attributes: never[];
    number: number;
    order_number: number;
    order_status_url: string;
    original_total_additional_fees_set: null;
    original_total_duties_set: null;
    payment_gateway_names: string[];
    phone: null;
    po_number: null;
    presentment_currency: string;
    processed_at: string;
    reference: string;
    referring_site: string;
    source_identifier: string;
    source_name: string;
    source_url: null;
    subtotal_price: string;
    subtotal_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    tags: string;
    tax_exempt: boolean;
    tax_lines: never[];
    taxes_included: boolean;
    test: boolean;
    token: string;
    total_discounts: string;
    total_discounts_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    total_line_items_price: string;
    total_line_items_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    total_outstanding: string;
    total_price: string;
    total_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    total_shipping_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    total_tax: string;
    total_tax_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    total_tip_received: string;
    total_weight: number;
    updated_at: string;
    user_id: null;
    billing_address: {
        first_name: string;
        address1: string;
        phone: null;
        city: string;
        zip: string;
        province: string;
        country: string;
        last_name: string;
        address2: null;
        company: string;
        latitude: null;
        longitude: null;
        name: string;
        country_code: string;
        province_code: string;
    };
    customer: {
        id: number;
        email: string;
        created_at: string;
        updated_at: string;
        first_name: string;
        last_name: string;
        state: string;
        note: null;
        verified_email: boolean;
        multipass_identifier: null;
        tax_exempt: boolean;
        phone: null;
        email_marketing_consent: {
            state: string;
            opt_in_level: string;
            consent_updated_at: string;
        };
        sms_marketing_consent: null;
        tags: string;
        currency: string;
        accepts_marketing: boolean;
        accepts_marketing_updated_at: string;
        marketing_opt_in_level: string;
        tax_exemptions: never[];
        admin_graphql_api_id: string;
        default_address: {
            id: number;
            customer_id: number;
            first_name: string;
            last_name: string;
            company: string;
            address1: string;
            address2: null;
            city: string;
            province: string;
            country: string;
            zip: string;
            phone: null;
            name: string;
            province_code: string;
            country_code: string;
            country_name: string;
            default: boolean;
        };
    };
    discount_applications: never[];
    fulfillments: never[];
    line_items: {
        id: number;
        admin_graphql_api_id: string;
        attributed_staffs: never[];
        fulfillable_quantity: number;
        fulfillment_service: string;
        fulfillment_status: null;
        gift_card: boolean;
        grams: number;
        name: string;
        price: string;
        price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        product_exists: boolean;
        product_id: number;
        properties: never[];
        quantity: number;
        requires_shipping: boolean;
        sku: string;
        taxable: boolean;
        title: string;
        total_discount: string;
        total_discount_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        variant_id: number;
        variant_inventory_management: string;
        variant_title: null;
        vendor: string;
        tax_lines: never[];
        duties: never[];
        discount_allocations: never[];
    }[];
    payment_terms: null;
    refunds: never[];
    shipping_address: {
        first_name: string;
        address1: string;
        phone: null;
        city: string;
        zip: string;
        province: string;
        country: string;
        last_name: string;
        address2: null;
        company: string;
        latitude: number;
        longitude: number;
        name: string;
        country_code: string;
        province_code: string;
    };
    shipping_lines: {
        id: number;
        carrier_identifier: string;
        code: string;
        discounted_price: string;
        discounted_price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        phone: null;
        price: string;
        price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        requested_fulfillment_service_id: null;
        source: string;
        title: string;
        tax_lines: never[];
        discount_allocations: never[];
    }[];
};
export declare const singleOrderResp: {
    order: {
        id: number;
        admin_graphql_api_id: string;
        app_id: number;
        browser_ip: string;
        buyer_accepts_marketing: boolean;
        cancel_reason: null;
        cancelled_at: null;
        cart_token: string;
        checkout_id: number;
        checkout_token: string;
        client_details: {
            accept_language: string;
            browser_height: null;
            browser_ip: string;
            browser_width: null;
            session_hash: null;
            user_agent: string;
        };
        closed_at: null;
        confirmed: boolean;
        contact_email: string;
        created_at: string;
        currency: string;
        current_subtotal_price: string;
        current_subtotal_price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        current_total_additional_fees_set: null;
        current_total_discounts: string;
        current_total_discounts_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        current_total_duties_set: null;
        current_total_price: string;
        current_total_price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        current_total_tax: string;
        current_total_tax_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        customer_locale: string;
        device_id: null;
        discount_codes: never[];
        email: string;
        estimated_taxes: boolean;
        financial_status: string;
        fulfillment_status: null;
        landing_site: null;
        landing_site_ref: null;
        location_id: null;
        merchant_of_record_app_id: null;
        name: string;
        note: null;
        note_attributes: never[];
        number: number;
        order_number: number;
        order_status_url: string;
        original_total_additional_fees_set: null;
        original_total_duties_set: null;
        payment_gateway_names: string[];
        phone: null;
        presentment_currency: string;
        processed_at: string;
        reference: string;
        referring_site: null;
        source_identifier: string;
        source_name: string;
        source_url: null;
        subtotal_price: string;
        subtotal_price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        tags: string;
        tax_lines: never[];
        taxes_included: boolean;
        test: boolean;
        token: string;
        total_discounts: string;
        total_discounts_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        total_line_items_price: string;
        total_line_items_price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        total_outstanding: string;
        total_price: string;
        total_price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        total_shipping_price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        total_tax: string;
        total_tax_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        total_tip_received: string;
        total_weight: number;
        updated_at: string;
        user_id: null;
        billing_address: {
            first_name: string;
            address1: string;
            phone: null;
            city: string;
            zip: string;
            province: string;
            country: string;
            last_name: string;
            address2: null;
            company: string;
            latitude: null;
            longitude: null;
            name: string;
            country_code: string;
            province_code: string;
        };
        customer: {
            id: number;
            email: string;
            created_at: string;
            updated_at: string;
            first_name: string;
            last_name: string;
            state: string;
            note: null;
            verified_email: boolean;
            multipass_identifier: null;
            tax_exempt: boolean;
            phone: null;
            email_marketing_consent: {
                state: string;
                opt_in_level: string;
                consent_updated_at: null;
            };
            sms_marketing_consent: null;
            tags: string;
            currency: string;
            accepts_marketing: boolean;
            accepts_marketing_updated_at: string;
            marketing_opt_in_level: null;
            tax_exemptions: never[];
            admin_graphql_api_id: string;
            default_address: {
                id: number;
                customer_id: number;
                first_name: string;
                last_name: string;
                company: string;
                address1: string;
                address2: null;
                city: string;
                province: string;
                country: string;
                zip: string;
                phone: null;
                name: string;
                province_code: string;
                country_code: string;
                country_name: string;
                default: boolean;
            };
        };
        discount_applications: {
            target_type: string;
            type: string;
            value: string;
            value_type: string;
            allocation_method: string;
            target_selection: string;
            title: string;
        }[];
        fulfillments: never[];
        line_items: ({
            id: number;
            admin_graphql_api_id: string;
            fulfillable_quantity: number;
            fulfillment_service: string;
            fulfillment_status: null;
            gift_card: boolean;
            grams: number;
            name: string;
            price: string;
            price_set: {
                shop_money: {
                    amount: string;
                    currency_code: string;
                };
                presentment_money: {
                    amount: string;
                    currency_code: string;
                };
            };
            product_exists: boolean;
            product_id: number;
            properties: never[];
            quantity: number;
            requires_shipping: boolean;
            sku: null;
            taxable: boolean;
            title: string;
            total_discount: string;
            total_discount_set: {
                shop_money: {
                    amount: string;
                    currency_code: string;
                };
                presentment_money: {
                    amount: string;
                    currency_code: string;
                };
            };
            variant_id: number;
            variant_inventory_management: string;
            variant_title: null;
            vendor: string;
            tax_lines: never[];
            duties: never[];
            discount_allocations: never[];
        } | {
            id: number;
            admin_graphql_api_id: string;
            fulfillable_quantity: number;
            fulfillment_service: string;
            fulfillment_status: null;
            gift_card: boolean;
            grams: number;
            name: string;
            price: string;
            price_set: {
                shop_money: {
                    amount: string;
                    currency_code: string;
                };
                presentment_money: {
                    amount: string;
                    currency_code: string;
                };
            };
            product_exists: boolean;
            product_id: number;
            properties: never[];
            quantity: number;
            requires_shipping: boolean;
            sku: string;
            taxable: boolean;
            title: string;
            total_discount: string;
            total_discount_set: {
                shop_money: {
                    amount: string;
                    currency_code: string;
                };
                presentment_money: {
                    amount: string;
                    currency_code: string;
                };
            };
            variant_id: number;
            variant_inventory_management: string;
            variant_title: null;
            vendor: string;
            tax_lines: never[];
            duties: never[];
            discount_allocations: {
                amount: string;
                amount_set: {
                    shop_money: {
                        amount: string;
                        currency_code: string;
                    };
                    presentment_money: {
                        amount: string;
                        currency_code: string;
                    };
                };
                discount_application_index: number;
            }[];
        })[];
        payment_terms: null;
        refunds: never[];
        shipping_address: {
            first_name: string;
            address1: string;
            phone: null;
            city: string;
            zip: string;
            province: string;
            country: string;
            last_name: string;
            address2: null;
            company: string;
            latitude: number;
            longitude: number;
            name: string;
            country_code: string;
            province_code: string;
        };
        shipping_lines: {
            id: number;
            carrier_identifier: string;
            code: string;
            delivery_category: null;
            discounted_price: string;
            discounted_price_set: {
                shop_money: {
                    amount: string;
                    currency_code: string;
                };
                presentment_money: {
                    amount: string;
                    currency_code: string;
                };
            };
            phone: null;
            price: string;
            price_set: {
                shop_money: {
                    amount: string;
                    currency_code: string;
                };
                presentment_money: {
                    amount: string;
                    currency_code: string;
                };
            };
            requested_fulfillment_service_id: null;
            source: string;
            title: string;
            tax_lines: never[];
            discount_allocations: never[];
        }[];
    };
};
export declare const canadaOrderResp: {
    id: number;
    admin_graphql_api_id: string;
    app_id: number;
    browser_ip: string;
    buyer_accepts_marketing: boolean;
    cancel_reason: null;
    cancelled_at: null;
    cart_token: string;
    checkout_id: number;
    checkout_token: string;
    client_details: {
        accept_language: string;
        browser_height: null;
        browser_ip: string;
        browser_width: null;
        session_hash: null;
        user_agent: string;
    };
    closed_at: null;
    confirmation_number: string;
    confirmed: boolean;
    contact_email: string;
    created_at: string;
    currency: string;
    current_subtotal_price: string;
    current_subtotal_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    current_total_additional_fees_set: null;
    current_total_discounts: string;
    current_total_discounts_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    current_total_duties_set: null;
    current_total_price: string;
    current_total_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    current_total_tax: string;
    current_total_tax_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    customer_locale: string;
    device_id: null;
    discount_codes: {
        code: string;
        amount: string;
        type: string;
    }[];
    email: string;
    estimated_taxes: boolean;
    financial_status: string;
    fulfillment_status: null;
    landing_site: string;
    landing_site_ref: null;
    location_id: null;
    merchant_of_record_app_id: null;
    name: string;
    note: string;
    note_attributes: never[];
    number: number;
    order_number: number;
    order_status_url: string;
    original_total_additional_fees_set: null;
    original_total_duties_set: null;
    payment_gateway_names: never[];
    phone: null;
    po_number: null;
    presentment_currency: string;
    processed_at: string;
    reference: string;
    referring_site: null;
    source_identifier: string;
    source_name: string;
    source_url: null;
    subtotal_price: string;
    subtotal_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    tags: string;
    tax_exempt: boolean;
    tax_lines: never[];
    taxes_included: boolean;
    test: boolean;
    token: string;
    total_discounts: string;
    total_discounts_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    total_line_items_price: string;
    total_line_items_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    total_outstanding: string;
    total_price: string;
    total_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    total_shipping_price_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    total_tax: string;
    total_tax_set: {
        shop_money: {
            amount: string;
            currency_code: string;
        };
        presentment_money: {
            amount: string;
            currency_code: string;
        };
    };
    total_tip_received: string;
    total_weight: number;
    updated_at: string;
    user_id: null;
    billing_address: {
        first_name: string;
        address1: string;
        phone: string;
        city: string;
        zip: string;
        province: string;
        country: string;
        last_name: string;
        address2: null;
        company: null;
        latitude: null;
        longitude: null;
        name: string;
        country_code: string;
        province_code: string;
    };
    customer: {
        id: number;
        email: string;
        created_at: string;
        updated_at: string;
        first_name: string;
        last_name: string;
        state: string;
        note: null;
        verified_email: boolean;
        multipass_identifier: null;
        tax_exempt: boolean;
        phone: null;
        email_marketing_consent: {
            state: string;
            opt_in_level: string;
            consent_updated_at: null;
        };
        sms_marketing_consent: null;
        tags: string;
        currency: string;
        accepts_marketing: boolean;
        accepts_marketing_updated_at: null;
        marketing_opt_in_level: string;
        tax_exemptions: never[];
        admin_graphql_api_id: string;
        default_address: {
            id: number;
            customer_id: number;
            first_name: string;
            last_name: string;
            company: null;
            address1: string;
            address2: null;
            city: string;
            province: string;
            country: string;
            zip: string;
            phone: string;
            name: string;
            province_code: string;
            country_code: string;
            country_name: string;
            default: boolean;
        };
    };
    discount_applications: {
        target_type: string;
        type: string;
        value: string;
        value_type: string;
        allocation_method: string;
        target_selection: string;
        code: string;
    }[];
    fulfillments: never[];
    line_items: {
        id: number;
        admin_graphql_api_id: string;
        attributed_staffs: never[];
        fulfillable_quantity: number;
        fulfillment_service: string;
        fulfillment_status: null;
        gift_card: boolean;
        grams: number;
        name: string;
        price: string;
        price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        product_exists: boolean;
        product_id: number;
        properties: never[];
        quantity: number;
        requires_shipping: boolean;
        sku: string;
        taxable: boolean;
        title: string;
        total_discount: string;
        total_discount_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        variant_id: number;
        variant_inventory_management: string;
        variant_title: string;
        vendor: string;
        tax_lines: {
            channel_liable: boolean;
            price: string;
            price_set: {
                shop_money: {
                    amount: string;
                    currency_code: string;
                };
                presentment_money: {
                    amount: string;
                    currency_code: string;
                };
            };
            rate: number;
            title: string;
        }[];
        duties: never[];
        discount_allocations: {
            amount: string;
            amount_set: {
                shop_money: {
                    amount: string;
                    currency_code: string;
                };
                presentment_money: {
                    amount: string;
                    currency_code: string;
                };
            };
            discount_application_index: number;
        }[];
    }[];
    payment_terms: null;
    refunds: never[];
    shipping_address: {
        first_name: string;
        address1: string;
        phone: string;
        city: string;
        zip: string;
        province: string;
        country: string;
        last_name: string;
        address2: null;
        company: null;
        latitude: number;
        longitude: number;
        name: string;
        country_code: string;
        province_code: string;
    };
    shipping_lines: {
        id: number;
        carrier_identifier: string;
        code: string;
        discounted_price: string;
        discounted_price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        phone: null;
        price: string;
        price_set: {
            shop_money: {
                amount: string;
                currency_code: string;
            };
            presentment_money: {
                amount: string;
                currency_code: string;
            };
        };
        requested_fulfillment_service_id: null;
        source: string;
        title: string;
        tax_lines: {
            channel_liable: boolean;
            price: string;
            price_set: {
                shop_money: {
                    amount: string;
                    currency_code: string;
                };
                presentment_money: {
                    amount: string;
                    currency_code: string;
                };
            };
            rate: number;
            title: string;
        }[];
        discount_allocations: never[];
    }[];
};
